blfwk::FlashMemoryStore Class Reference

Represents target Flash memory. More...

`#include <SimulatorMemory.h>`

Inheritance diagram for blfwk::FlashMemoryStore:
[legend]
Collaboration diagram for blfwk::FlashMemoryStore:
[legend]

## Public Member Functions

| FlashMemoryStore ()
| Default Constructor.
Public Member Functions inherited from blfwk::MemoryStore
| MemoryStore (int mapIndex, uint32_t fillByte=0)
| Constructor that takes a map index. More...
bool | open (const std::string &pathToDir, bool forceCreate)
| Open the store. More...
void | close ()
| Close the store.
size_t | read (long int offset, size_t size, unsigned char *buffer)
| Read from memory. More...
size_t | write (long int offset, size_t size, const unsigned char *buffer)
| Write to memory. More...
void | erase (long int offset, size_t size)
| Erase memory. More...
void | erase ()
| Erase all memory.

## Additional Inherited Members

Public Types inherited from blfwk::MemoryStore
enum | { kMapIndexFlash = 0, kMapIndexSRAM = 1 }
| Map indicies. More...
Protected Attributes inherited from blfwk::MemoryStore
int | m_mapIndex
| Index of memory map entry.
uint8_t | m_fillByte
| Erase value.
size_t | m_size
| Size of memory file.
uint32_t | m_startAddress
| Address address from map.
FILE * | m_memoryFile
| Handle to memory file.

## Detailed Description

Represents target Flash memory.

The documentation for this class was generated from the following file:

- SimulatorMemory.h